NumpyInstall

From GNU Radio
Jump to: navigation, search

Installing Numpy[edit]

On most systems, numpy is available as a pre-built package, but if needed it can be installed from source by
downloading numpy-1.1.0.tar.gz from http://sourceforge.net/project/showfiles.php?group_id=1369 to /usr/src then:

cd /usr/src
tar zxf numpy-1.1.0.tar.gz
cd numpy-1.1.0
python setup.py install

If you get errors that say

Error: suffix or operands invalid for @fnstsw'

it is because you are using Cygwin binutils 20080523-1. You will need to either reinstall binutils 20060817-1 or make corrections to the Numpy source; see hints tips known problems and solutions for Windows.

On MinGW, download and run numpy-1.0.3.1.win32-py2.4.exe (or the python 2.5 version,
if that is what you need). Or you can be the first to try a newer version.